Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Prefix/18
Addresses2^110
/64 networks2^46
Network
ffdb::/18
First address
ffdb::
Last address
ffdb:3fff:ffff:ffff:ffff:ffff:ffff:ffff
Addresses
1,298,074,214,633,706,907,132,624,082,305,024 (2^110)
/64 networks (LANs)
70,368,744,177,664 (2^46)
Full form
ffdb:0000:0000:0000:0000:0000:0000:0000
Type
Multicast ff00::/8
One-to-many traffic; replaces broadcast
Reverse DNS zones
0.b.d.f.f.ip6.arpa
1.b.d.f.f.ip6.arpa
2.b.d.f.f.ip6.arpa
3.b.d.f.f.ip6.arpa
/18 is not on a 4-bit boundary, so it takes 4 /20 zones.
Split into smaller subnets/28

ffdb::/18 makes 1,024 subnets of /28; the first 256 are listed.

Subnets
#SubnetLast address
1ffdb::/28ffdb:f:ffff:ffff:ffff:ffff:ffff:ffff
2ffdb:10::/28ffdb:1f:ffff:ffff:ffff:ffff:ffff:ffff
3ffdb:20::/28ffdb:2f:ffff:ffff:ffff:ffff:ffff:ffff
4ffdb:30::/28ffdb:3f:ffff:ffff:ffff:ffff:ffff:ffff
5ffdb:40::/28ffdb:4f:ffff:ffff:ffff:ffff:ffff:ffff
6ffdb:50::/28ffdb:5f:ffff:ffff:ffff:ffff:ffff:ffff
7ffdb:60::/28ffdb:6f:ffff:ffff:ffff:ffff:ffff:ffff
8ffdb:70::/28ffdb:7f:ffff:ffff:ffff:ffff:ffff:ffff
9ffdb:80::/28ffdb:8f:ffff:ffff:ffff:ffff:ffff:ffff
10ffdb:90::/28ffdb:9f:ffff:ffff:ffff:ffff:ffff:ffff
11ffdb:a0::/28ffdb:af:ffff:ffff:ffff:ffff:ffff:ffff
12ffdb:b0::/28ffdb:bf:ffff:ffff:ffff:ffff:ffff:ffff
13ffdb:c0::/28ffdb:cf:ffff:ffff:ffff:ffff:ffff:ffff
14ffdb:d0::/28ffdb:df:ffff:ffff:ffff:ffff:ffff:ffff
15ffdb:e0::/28ffdb:ef:ffff:ffff:ffff:ffff:ffff:ffff
16ffdb:f0::/28ffdb:ff:ffff:ffff:ffff:ffff:ffff:ffff
17ffdb:100::/28ffdb:10f:ffff:ffff:ffff:ffff:ffff:ffff
18ffdb:110::/28ffdb:11f:ffff:ffff:ffff:ffff:ffff:ffff
19ffdb:120::/28ffdb:12f:ffff:ffff:ffff:ffff:ffff:ffff
20ffdb:130::/28ffdb:13f:ffff:ffff:ffff:ffff:ffff:ffff
21ffdb:140::/28ffdb:14f:ffff:ffff:ffff:ffff:ffff:ffff
22ffdb:150::/28ffdb:15f:ffff:ffff:ffff:ffff:ffff:ffff
23ffdb:160::/28ffdb:16f:ffff:ffff:ffff:ffff:ffff:ffff
24ffdb:170::/28ffdb:17f:ffff:ffff:ffff:ffff:ffff:ffff
25ffdb:180::/28ffdb:18f:ffff:ffff:ffff:ffff:ffff:ffff
26ffdb:190::/28ffdb:19f:ffff:ffff:ffff:ffff:ffff:ffff
27ffdb:1a0::/28ffdb:1af:ffff:ffff:ffff:ffff:ffff:ffff
28ffdb:1b0::/28ffdb:1bf:ffff:ffff:ffff:ffff:ffff:ffff
29ffdb:1c0::/28ffdb:1cf:ffff:ffff:ffff:ffff:ffff:ffff
30ffdb:1d0::/28ffdb:1df:ffff:ffff:ffff:ffff:ffff:ffff
31ffdb:1e0::/28ffdb:1ef:ffff:ffff:ffff:ffff:ffff:ffff
32ffdb:1f0::/28ffdb:1ff:ffff:ffff:ffff:ffff:ffff:ffff
33ffdb:200::/28ffdb:20f:ffff:ffff:ffff:ffff:ffff:ffff
34ffdb:210::/28ffdb:21f:ffff:ffff:ffff:ffff:ffff:ffff
35ffdb:220::/28ffdb:22f:ffff:ffff:ffff:ffff:ffff:ffff
36ffdb:230::/28ffdb:23f:ffff:ffff:ffff:ffff:ffff:ffff
37ffdb:240::/28ffdb:24f:ffff:ffff:ffff:ffff:ffff:ffff
38ffdb:250::/28ffdb:25f:ffff:ffff:ffff:ffff:ffff:ffff
39ffdb:260::/28ffdb:26f:ffff:ffff:ffff:ffff:ffff:ffff
40ffdb:270::/28ffdb:27f:ffff:ffff:ffff:ffff:ffff:ffff
41ffdb:280::/28ffdb:28f:ffff:ffff:ffff:ffff:ffff:ffff
42ffdb:290::/28ffdb:29f:ffff:ffff:ffff:ffff:ffff:ffff
43ffdb:2a0::/28ffdb:2af:ffff:ffff:ffff:ffff:ffff:ffff
44ffdb:2b0::/28ffdb:2bf:ffff:ffff:ffff:ffff:ffff:ffff
45ffdb:2c0::/28ffdb:2cf:ffff:ffff:ffff:ffff:ffff:ffff
46ffdb:2d0::/28ffdb:2df:ffff:ffff:ffff:ffff:ffff:ffff
47ffdb:2e0::/28ffdb:2ef:ffff:ffff:ffff:ffff:ffff:ffff
48ffdb:2f0::/28ffdb:2ff:ffff:ffff:ffff:ffff:ffff:ffff
49ffdb:300::/28ffdb:30f:ffff:ffff:ffff:ffff:ffff:ffff
50ffdb:310::/28ffdb:31f:ffff:ffff:ffff:ffff:ffff:ffff
51ffdb:320::/28ffdb:32f:ffff:ffff:ffff:ffff:ffff:ffff
52ffdb:330::/28ffdb:33f:ffff:ffff:ffff:ffff:ffff:ffff
53ffdb:340::/28ffdb:34f:ffff:ffff:ffff:ffff:ffff:ffff
54ffdb:350::/28ffdb:35f:ffff:ffff:ffff:ffff:ffff:ffff
55ffdb:360::/28ffdb:36f:ffff:ffff:ffff:ffff:ffff:ffff
56ffdb:370::/28ffdb:37f:ffff:ffff:ffff:ffff:ffff:ffff
57ffdb:380::/28ffdb:38f:ffff:ffff:ffff:ffff:ffff:ffff
58ffdb:390::/28ffdb:39f:ffff:ffff:ffff:ffff:ffff:ffff
59ffdb:3a0::/28ffdb:3af:ffff:ffff:ffff:ffff:ffff:ffff
60ffdb:3b0::/28ffdb:3bf:ffff:ffff:ffff:ffff:ffff:ffff
61ffdb:3c0::/28ffdb:3cf:ffff:ffff:ffff:ffff:ffff:ffff
62ffdb:3d0::/28ffdb:3df:ffff:ffff:ffff:ffff:ffff:ffff
63ffdb:3e0::/28ffdb:3ef:ffff:ffff:ffff:ffff:ffff:ffff
64ffdb:3f0::/28ffdb:3ff:ffff:ffff:ffff:ffff:ffff:ffff
65ffdb:400::/28ffdb:40f:ffff:ffff:ffff:ffff:ffff:ffff
66ffdb:410::/28ffdb:41f:ffff:ffff:ffff:ffff:ffff:ffff
67ffdb:420::/28ffdb:42f:ffff:ffff:ffff:ffff:ffff:ffff
68ffdb:430::/28ffdb:43f:ffff:ffff:ffff:ffff:ffff:ffff
69ffdb:440::/28ffdb:44f:ffff:ffff:ffff:ffff:ffff:ffff
70ffdb:450::/28ffdb:45f:ffff:ffff:ffff:ffff:ffff:ffff
71ffdb:460::/28ffdb:46f:ffff:ffff:ffff:ffff:ffff:ffff
72ffdb:470::/28ffdb:47f:ffff:ffff:ffff:ffff:ffff:ffff
73ffdb:480::/28ffdb:48f:ffff:ffff:ffff:ffff:ffff:ffff
74ffdb:490::/28ffdb:49f:ffff:ffff:ffff:ffff:ffff:ffff
75ffdb:4a0::/28ffdb:4af:ffff:ffff:ffff:ffff:ffff:ffff
76ffdb:4b0::/28ffdb:4bf:ffff:ffff:ffff:ffff:ffff:ffff
77ffdb:4c0::/28ffdb:4cf:ffff:ffff:ffff:ffff:ffff:ffff
78ffdb:4d0::/28ffdb:4df:ffff:ffff:ffff:ffff:ffff:ffff
79ffdb:4e0::/28ffdb:4ef:ffff:ffff:ffff:ffff:ffff:ffff
80ffdb:4f0::/28ffdb:4ff:ffff:ffff:ffff:ffff:ffff:ffff
81ffdb:500::/28ffdb:50f:ffff:ffff:ffff:ffff:ffff:ffff
82ffdb:510::/28ffdb:51f:ffff:ffff:ffff:ffff:ffff:ffff
83ffdb:520::/28ffdb:52f:ffff:ffff:ffff:ffff:ffff:ffff
84ffdb:530::/28ffdb:53f:ffff:ffff:ffff:ffff:ffff:ffff
85ffdb:540::/28ffdb:54f:ffff:ffff:ffff:ffff:ffff:ffff
86ffdb:550::/28ffdb:55f:ffff:ffff:ffff:ffff:ffff:ffff
87ffdb:560::/28ffdb:56f:ffff:ffff:ffff:ffff:ffff:ffff
88ffdb:570::/28ffdb:57f:ffff:ffff:ffff:ffff:ffff:ffff
89ffdb:580::/28ffdb:58f:ffff:ffff:ffff:ffff:ffff:ffff
90ffdb:590::/28ffdb:59f:ffff:ffff:ffff:ffff:ffff:ffff
91ffdb:5a0::/28ffdb:5af:ffff:ffff:ffff:ffff:ffff:ffff
92ffdb:5b0::/28ffdb:5bf:ffff:ffff:ffff:ffff:ffff:ffff
93ffdb:5c0::/28ffdb:5cf:ffff:ffff:ffff:ffff:ffff:ffff
94ffdb:5d0::/28ffdb:5df:ffff:ffff:ffff:ffff:ffff:ffff
95ffdb:5e0::/28ffdb:5ef:ffff:ffff:ffff:ffff:ffff:ffff
96ffdb:5f0::/28ffdb:5ff:ffff:ffff:ffff:ffff:ffff:ffff
97ffdb:600::/28ffdb:60f:ffff:ffff:ffff:ffff:ffff:ffff
98ffdb:610::/28ffdb:61f:ffff:ffff:ffff:ffff:ffff:ffff
99ffdb:620::/28ffdb:62f:ffff:ffff:ffff:ffff:ffff:ffff
100ffdb:630::/28ffdb:63f:ffff:ffff:ffff:ffff:ffff:ffff
101ffdb:640::/28ffdb:64f:ffff:ffff:ffff:ffff:ffff:ffff
102ffdb:650::/28ffdb:65f:ffff:ffff:ffff:ffff:ffff:ffff
103ffdb:660::/28ffdb:66f:ffff:ffff:ffff:ffff:ffff:ffff
104ffdb:670::/28ffdb:67f:ffff:ffff:ffff:ffff:ffff:ffff
105ffdb:680::/28ffdb:68f:ffff:ffff:ffff:ffff:ffff:ffff
106ffdb:690::/28ffdb:69f:ffff:ffff:ffff:ffff:ffff:ffff
107ffdb:6a0::/28ffdb:6af:ffff:ffff:ffff:ffff:ffff:ffff
108ffdb:6b0::/28ffdb:6bf:ffff:ffff:ffff:ffff:ffff:ffff
109ffdb:6c0::/28ffdb:6cf:ffff:ffff:ffff:ffff:ffff:ffff
110ffdb:6d0::/28ffdb:6df:ffff:ffff:ffff:ffff:ffff:ffff
111ffdb:6e0::/28ffdb:6ef:ffff:ffff:ffff:ffff:ffff:ffff
112ffdb:6f0::/28ffdb:6ff:ffff:ffff:ffff:ffff:ffff:ffff
113ffdb:700::/28ffdb:70f:ffff:ffff:ffff:ffff:ffff:ffff
114ffdb:710::/28ffdb:71f:ffff:ffff:ffff:ffff:ffff:ffff
115ffdb:720::/28ffdb:72f:ffff:ffff:ffff:ffff:ffff:ffff
116ffdb:730::/28ffdb:73f:ffff:ffff:ffff:ffff:ffff:ffff
117ffdb:740::/28ffdb:74f:ffff:ffff:ffff:ffff:ffff:ffff
118ffdb:750::/28ffdb:75f:ffff:ffff:ffff:ffff:ffff:ffff
119ffdb:760::/28ffdb:76f:ffff:ffff:ffff:ffff:ffff:ffff
120ffdb:770::/28ffdb:77f:ffff:ffff:ffff:ffff:ffff:ffff
121ffdb:780::/28ffdb:78f:ffff:ffff:ffff:ffff:ffff:ffff
122ffdb:790::/28ffdb:79f:ffff:ffff:ffff:ffff:ffff:ffff
123ffdb:7a0::/28ffdb:7af:ffff:ffff:ffff:ffff:ffff:ffff
124ffdb:7b0::/28ffdb:7bf:ffff:ffff:ffff:ffff:ffff:ffff
125ffdb:7c0::/28ffdb:7cf:ffff:ffff:ffff:ffff:ffff:ffff
126ffdb:7d0::/28ffdb:7df:ffff:ffff:ffff:ffff:ffff:ffff
127ffdb:7e0::/28ffdb:7ef:ffff:ffff:ffff:ffff:ffff:ffff
128ffdb:7f0::/28ffdb:7ff:ffff:ffff:ffff:ffff:ffff:ffff
129ffdb:800::/28ffdb:80f:ffff:ffff:ffff:ffff:ffff:ffff
130ffdb:810::/28ffdb:81f:ffff:ffff:ffff:ffff:ffff:ffff
131ffdb:820::/28ffdb:82f:ffff:ffff:ffff:ffff:ffff:ffff
132ffdb:830::/28ffdb:83f:ffff:ffff:ffff:ffff:ffff:ffff
133ffdb:840::/28ffdb:84f:ffff:ffff:ffff:ffff:ffff:ffff
134ffdb:850::/28ffdb:85f:ffff:ffff:ffff:ffff:ffff:ffff
135ffdb:860::/28ffdb:86f:ffff:ffff:ffff:ffff:ffff:ffff
136ffdb:870::/28ffdb:87f:ffff:ffff:ffff:ffff:ffff:ffff
137ffdb:880::/28ffdb:88f:ffff:ffff:ffff:ffff:ffff:ffff
138ffdb:890::/28ffdb:89f:ffff:ffff:ffff:ffff:ffff:ffff
139ffdb:8a0::/28ffdb:8af:ffff:ffff:ffff:ffff:ffff:ffff
140ffdb:8b0::/28ffdb:8bf:ffff:ffff:ffff:ffff:ffff:ffff
141ffdb:8c0::/28ffdb:8cf:ffff:ffff:ffff:ffff:ffff:ffff
142ffdb:8d0::/28ffdb:8df:ffff:ffff:ffff:ffff:ffff:ffff
143ffdb:8e0::/28ffdb:8ef:ffff:ffff:ffff:ffff:ffff:ffff
144ffdb:8f0::/28ffdb:8ff:ffff:ffff:ffff:ffff:ffff:ffff
145ffdb:900::/28ffdb:90f:ffff:ffff:ffff:ffff:ffff:ffff
146ffdb:910::/28ffdb:91f:ffff:ffff:ffff:ffff:ffff:ffff
147ffdb:920::/28ffdb:92f:ffff:ffff:ffff:ffff:ffff:ffff
148ffdb:930::/28ffdb:93f:ffff:ffff:ffff:ffff:ffff:ffff
149ffdb:940::/28ffdb:94f:ffff:ffff:ffff:ffff:ffff:ffff
150ffdb:950::/28ffdb:95f:ffff:ffff:ffff:ffff:ffff:ffff
151ffdb:960::/28ffdb:96f:ffff:ffff:ffff:ffff:ffff:ffff
152ffdb:970::/28ffdb:97f:ffff:ffff:ffff:ffff:ffff:ffff
153ffdb:980::/28ffdb:98f:ffff:ffff:ffff:ffff:ffff:ffff
154ffdb:990::/28ffdb:99f:ffff:ffff:ffff:ffff:ffff:ffff
155ffdb:9a0::/28ffdb:9af:ffff:ffff:ffff:ffff:ffff:ffff
156ffdb:9b0::/28ffdb:9bf:ffff:ffff:ffff:ffff:ffff:ffff
157ffdb:9c0::/28ffdb:9cf:ffff:ffff:ffff:ffff:ffff:ffff
158ffdb:9d0::/28ffdb:9df:ffff:ffff:ffff:ffff:ffff:ffff
159ffdb:9e0::/28ffdb:9ef:ffff:ffff:ffff:ffff:ffff:ffff
160ffdb:9f0::/28ffdb:9ff:ffff:ffff:ffff:ffff:ffff:ffff
161ffdb:a00::/28ffdb:a0f:ffff:ffff:ffff:ffff:ffff:ffff
162ffdb:a10::/28ffdb:a1f:ffff:ffff:ffff:ffff:ffff:ffff
163ffdb:a20::/28ffdb:a2f:ffff:ffff:ffff:ffff:ffff:ffff
164ffdb:a30::/28ffdb:a3f:ffff:ffff:ffff:ffff:ffff:ffff
165ffdb:a40::/28ffdb:a4f:ffff:ffff:ffff:ffff:ffff:ffff
166ffdb:a50::/28ffdb:a5f:ffff:ffff:ffff:ffff:ffff:ffff
167ffdb:a60::/28ffdb:a6f:ffff:ffff:ffff:ffff:ffff:ffff
168ffdb:a70::/28ffdb:a7f:ffff:ffff:ffff:ffff:ffff:ffff
169ffdb:a80::/28ffdb:a8f:ffff:ffff:ffff:ffff:ffff:ffff
170ffdb:a90::/28ffdb:a9f:ffff:ffff:ffff:ffff:ffff:ffff
171ffdb:aa0::/28ffdb:aaf:ffff:ffff:ffff:ffff:ffff:ffff
172ffdb:ab0::/28ffdb:abf:ffff:ffff:ffff:ffff:ffff:ffff
173ffdb:ac0::/28ffdb:acf:ffff:ffff:ffff:ffff:ffff:ffff
174ffdb:ad0::/28ffdb:adf:ffff:ffff:ffff:ffff:ffff:ffff
175ffdb:ae0::/28ffdb:aef:ffff:ffff:ffff:ffff:ffff:ffff
176ffdb:af0::/28ffdb:aff:ffff:ffff:ffff:ffff:ffff:ffff
177ffdb:b00::/28ffdb:b0f:ffff:ffff:ffff:ffff:ffff:ffff
178ffdb:b10::/28ffdb:b1f:ffff:ffff:ffff:ffff:ffff:ffff
179ffdb:b20::/28ffdb:b2f:ffff:ffff:ffff:ffff:ffff:ffff
180ffdb:b30::/28ffdb:b3f:ffff:ffff:ffff:ffff:ffff:ffff
181ffdb:b40::/28ffdb:b4f:ffff:ffff:ffff:ffff:ffff:ffff
182ffdb:b50::/28ffdb:b5f:ffff:ffff:ffff:ffff:ffff:ffff
183ffdb:b60::/28ffdb:b6f:ffff:ffff:ffff:ffff:ffff:ffff
184ffdb:b70::/28ffdb:b7f:ffff:ffff:ffff:ffff:ffff:ffff
185ffdb:b80::/28ffdb:b8f:ffff:ffff:ffff:ffff:ffff:ffff
186ffdb:b90::/28ffdb:b9f:ffff:ffff:ffff:ffff:ffff:ffff
187ffdb:ba0::/28ffdb:baf:ffff:ffff:ffff:ffff:ffff:ffff
188ffdb:bb0::/28ffdb:bbf:ffff:ffff:ffff:ffff:ffff:ffff
189ffdb:bc0::/28ffdb:bcf:ffff:ffff:ffff:ffff:ffff:ffff
190ffdb:bd0::/28ffdb:bdf:ffff:ffff:ffff:ffff:ffff:ffff
191ffdb:be0::/28ffdb:bef:ffff:ffff:ffff:ffff:ffff:ffff
192ffdb:bf0::/28ffdb:bff:ffff:ffff:ffff:ffff:ffff:ffff
193ffdb:c00::/28ffdb:c0f:ffff:ffff:ffff:ffff:ffff:ffff
194ffdb:c10::/28ffdb:c1f:ffff:ffff:ffff:ffff:ffff:ffff
195ffdb:c20::/28ffdb:c2f:ffff:ffff:ffff:ffff:ffff:ffff
196ffdb:c30::/28ffdb:c3f:ffff:ffff:ffff:ffff:ffff:ffff
197ffdb:c40::/28ffdb:c4f:ffff:ffff:ffff:ffff:ffff:ffff
198ffdb:c50::/28ffdb:c5f:ffff:ffff:ffff:ffff:ffff:ffff
199ffdb:c60::/28ffdb:c6f:ffff:ffff:ffff:ffff:ffff:ffff
200ffdb:c70::/28ffdb:c7f:ffff:ffff:ffff:ffff:ffff:ffff
201ffdb:c80::/28ffdb:c8f:ffff:ffff:ffff:ffff:ffff:ffff
202ffdb:c90::/28ffdb:c9f:ffff:ffff:ffff:ffff:ffff:ffff
203ffdb:ca0::/28ffdb:caf:ffff:ffff:ffff:ffff:ffff:ffff
204ffdb:cb0::/28ffdb:cbf:ffff:ffff:ffff:ffff:ffff:ffff
205ffdb:cc0::/28ffdb:ccf:ffff:ffff:ffff:ffff:ffff:ffff
206ffdb:cd0::/28ffdb:cdf:ffff:ffff:ffff:ffff:ffff:ffff
207ffdb:ce0::/28ffdb:cef:ffff:ffff:ffff:ffff:ffff:ffff
208ffdb:cf0::/28ffdb:cff:ffff:ffff:ffff:ffff:ffff:ffff
209ffdb:d00::/28ffdb:d0f:ffff:ffff:ffff:ffff:ffff:ffff
210ffdb:d10::/28ffdb:d1f:ffff:ffff:ffff:ffff:ffff:ffff
211ffdb:d20::/28ffdb:d2f:ffff:ffff:ffff:ffff:ffff:ffff
212ffdb:d30::/28ffdb:d3f:ffff:ffff:ffff:ffff:ffff:ffff
213ffdb:d40::/28ffdb:d4f:ffff:ffff:ffff:ffff:ffff:ffff
214ffdb:d50::/28ffdb:d5f:ffff:ffff:ffff:ffff:ffff:ffff
215ffdb:d60::/28ffdb:d6f:ffff:ffff:ffff:ffff:ffff:ffff
216ffdb:d70::/28ffdb:d7f:ffff:ffff:ffff:ffff:ffff:ffff
217ffdb:d80::/28ffdb:d8f:ffff:ffff:ffff:ffff:ffff:ffff
218ffdb:d90::/28ffdb:d9f:ffff:ffff:ffff:ffff:ffff:ffff
219ffdb:da0::/28ffdb:daf:ffff:ffff:ffff:ffff:ffff:ffff
220ffdb:db0::/28ffdb:dbf:ffff:ffff:ffff:ffff:ffff:ffff
221ffdb:dc0::/28ffdb:dcf:ffff:ffff:ffff:ffff:ffff:ffff
222ffdb:dd0::/28ffdb:ddf:ffff:ffff:ffff:ffff:ffff:ffff
223ffdb:de0::/28ffdb:def:ffff:ffff:ffff:ffff:ffff:ffff
224ffdb:df0::/28ffdb:dff:ffff:ffff:ffff:ffff:ffff:ffff
225ffdb:e00::/28ffdb:e0f:ffff:ffff:ffff:ffff:ffff:ffff
226ffdb:e10::/28ffdb:e1f:ffff:ffff:ffff:ffff:ffff:ffff
227ffdb:e20::/28ffdb:e2f:ffff:ffff:ffff:ffff:ffff:ffff
228ffdb:e30::/28ffdb:e3f:ffff:ffff:ffff:ffff:ffff:ffff
229ffdb:e40::/28ffdb:e4f:ffff:ffff:ffff:ffff:ffff:ffff
230ffdb:e50::/28ffdb:e5f:ffff:ffff:ffff:ffff:ffff:ffff
231ffdb:e60::/28ffdb:e6f:ffff:ffff:ffff:ffff:ffff:ffff
232ffdb:e70::/28ffdb:e7f:ffff:ffff:ffff:ffff:ffff:ffff
233ffdb:e80::/28ffdb:e8f:ffff:ffff:ffff:ffff:ffff:ffff
234ffdb:e90::/28ffdb:e9f:ffff:ffff:ffff:ffff:ffff:ffff
235ffdb:ea0::/28ffdb:eaf:ffff:ffff:ffff:ffff:ffff:ffff
236ffdb:eb0::/28ffdb:ebf:ffff:ffff:ffff:ffff:ffff:ffff
237ffdb:ec0::/28ffdb:ecf:ffff:ffff:ffff:ffff:ffff:ffff
238ffdb:ed0::/28ffdb:edf:ffff:ffff:ffff:ffff:ffff:ffff
239ffdb:ee0::/28ffdb:eef:ffff:ffff:ffff:ffff:ffff:ffff
240ffdb:ef0::/28ffdb:eff:ffff:ffff:ffff:ffff:ffff:ffff
241ffdb:f00::/28ffdb:f0f:ffff:ffff:ffff:ffff:ffff:ffff
242ffdb:f10::/28ffdb:f1f:ffff:ffff:ffff:ffff:ffff:ffff
243ffdb:f20::/28ffdb:f2f:ffff:ffff:ffff:ffff:ffff:ffff
244ffdb:f30::/28ffdb:f3f:ffff:ffff:ffff:ffff:ffff:ffff
245ffdb:f40::/28ffdb:f4f:ffff:ffff:ffff:ffff:ffff:ffff
246ffdb:f50::/28ffdb:f5f:ffff:ffff:ffff:ffff:ffff:ffff
247ffdb:f60::/28ffdb:f6f:ffff:ffff:ffff:ffff:ffff:ffff
248ffdb:f70::/28ffdb:f7f:ffff:ffff:ffff:ffff:ffff:ffff
249ffdb:f80::/28ffdb:f8f:ffff:ffff:ffff:ffff:ffff:ffff
250ffdb:f90::/28ffdb:f9f:ffff:ffff:ffff:ffff:ffff:ffff
251ffdb:fa0::/28ffdb:faf:ffff:ffff:ffff:ffff:ffff:ffff
252ffdb:fb0::/28ffdb:fbf:ffff:ffff:ffff:ffff:ffff:ffff
253ffdb:fc0::/28ffdb:fcf:ffff:ffff:ffff:ffff:ffff:ffff
254ffdb:fd0::/28ffdb:fdf:ffff:ffff:ffff:ffff:ffff:ffff
255ffdb:fe0::/28ffdb:fef:ffff:ffff:ffff:ffff:ffff:ffff
256ffdb:ff0::/28ffdb:fff:ffff:ffff:ffff:ffff:ffff:ffff

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses